#ifndef OPTIONS_HH
# define OPTIONS_HH

# include "log.hh"

struct Options {
  Options();

  void merge(const Options &);
  Options &getoptions(int argc, char *argv[]);
  Options getoptions(const string file);
  void usage(const char *argv0) const;
  friend Logger &operator<<(Logger &, const Options &);


  string server;
  int port; //-1 undef
  string login;
  string pass;
  int verbose; //0=false, 1=true, -1=undef
  string scriptdir;
  string conffile;
  int retrydelay; //-1 undef
  int daemon;
  int closefd; //-1 undel
  string pidfile;
  string logfile;
};

#endif
